package net.java.quickcheck.generator;

public class CombinedGeneratorSamples{
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#nonEmptyIterators}.    
    */    
    public static <T extends java.lang.Object>  java.util.Iterator<T> anyNonEmptyIterator(net.java.quickcheck.Generator<T> content){
        return net.java.quickcheck.generator.CombinedGenerators.nonEmptyIterators(content).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#ensureValues}.    
    */    
    public static <T extends java.lang.Object>  T anyEnsureValue(java.util.Collection<T> ensuredValues){
        return net.java.quickcheck.generator.CombinedGenerators.<T> ensureValues(ensuredValues).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#ensureValues}.    
    */    
    public static <T extends java.lang.Object>  T anyEnsureValue(T... content){
        return net.java.quickcheck.generator.CombinedGenerators.<T> ensureValues(content).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#ensureValues}.    
    */    
    public static <T extends java.lang.Object>  T anyEnsureValue(java.util.Collection<T> ensuredValues, net.java.quickcheck.Generator<T> otherValues){
        return net.java.quickcheck.generator.CombinedGenerators.<T> ensureValues(ensuredValues, otherValues).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#sets}.    
    */    
    public static <T extends java.lang.Object>  java.util.Set<T> anySet(net.java.quickcheck.Generator<? extends T> content){
        return net.java.quickcheck.generator.CombinedGenerators.sets(content).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#sets}.    
    */    
    public static <T extends java.lang.Object>  java.util.Set<T> anySet(net.java.quickcheck.Generator<? extends T> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.sets(content, size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#sets}.    
    */    
    public static <T extends java.lang.Object>  java.util.Set<T> anySet(net.java.quickcheck.Generator<? extends T> content, int low, int high){
        return net.java.quickcheck.generator.CombinedGenerators.sets(content, low, high).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#sets}.    
    */    
    public static <T extends java.lang.Object>  java.util.Set<T> anySet(java.util.Set<T> superset){
        return net.java.quickcheck.generator.CombinedGenerators.sets(superset).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#sets}.    
    */    
    public static <T extends java.lang.Object>  java.util.Set<T> anySet(java.util.Set<T> superset, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.sets(superset, size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#intArrays}.    
    */    
    public static  int[] anyIntArray(){
        return net.java.quickcheck.generator.CombinedGenerators.intArrays().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#intArrays}.    
    */    
    public static  int[] anyIntArray(net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.intArrays(size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#intArrays}.    
    */    
    public static  int[] anyIntArray(net.java.quickcheck.Generator<java.lang.Integer> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.intArrays(content, size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#nonEmptyArrays}.    
    */    
    public static <T extends java.lang.Object>  T[] anyNonEmptyArray(net.java.quickcheck.Generator<? extends T> content, java.lang.Class<T> type){
        return net.java.quickcheck.generator.CombinedGenerators.nonEmptyArrays(content, type).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#pairs}.    
    */    
    public static <A extends java.lang.Object,B extends java.lang.Object>  net.java.quickcheck.collection.Pair<A,B> anyPair(net.java.quickcheck.Generator<A> first, net.java.quickcheck.Generator<B> second){
        return net.java.quickcheck.generator.CombinedGenerators.pairs(first, second).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#byteArrays}.    
    */    
    public static  byte[] anyByteArray(){
        return net.java.quickcheck.generator.CombinedGenerators.byteArrays().next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#byteArrays}.    
    */    
    public static  byte[] anyByteArray(net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.byteArrays(size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#byteArrays}.    
    */    
    public static  byte[] anyByteArray(net.java.quickcheck.Generator<java.lang.Byte> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.byteArrays(content, size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#vectors}.    
    */    
    public static <T extends java.lang.Object>  java.util.List<T> anyVector(net.java.quickcheck.Generator<T> content, int size){
        return net.java.quickcheck.generator.CombinedGenerators.vectors(content, size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#triples}.    
    */    
    public static <A extends java.lang.Object,B extends java.lang.Object,C extends java.lang.Object>  net.java.quickcheck.collection.Triple<A,B,C> anyTriple(net.java.quickcheck.Generator<A> first, net.java.quickcheck.Generator<B> second, net.java.quickcheck.Generator<C> third){
        return net.java.quickcheck.generator.CombinedGenerators.triples(first, second, third).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#nullsAnd}.    
    */    
    public static <T extends java.lang.Object>  T anyNullsAnd(net.java.quickcheck.Generator<T> generator){
        return net.java.quickcheck.generator.CombinedGenerators.<T> nullsAnd(generator).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#nullsAnd}.    
    */    
    public static <T extends java.lang.Object>  T anyNullsAnd(net.java.quickcheck.Generator<T> generator, int weight){
        return net.java.quickcheck.generator.CombinedGenerators.<T> nullsAnd(generator, weight).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#oneOf}.    
    */    
    public static <T extends java.lang.Object>  T anyOneOf(net.java.quickcheck.Generator<T> generator){
        return net.java.quickcheck.generator.CombinedGenerators.<T> oneOf(generator).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#excludeValues}.    
    */    
    public static <T extends java.lang.Object>  T anyExcludeValue(net.java.quickcheck.Generator<T> generator, T excluded){
        return net.java.quickcheck.generator.CombinedGenerators.<T> excludeValues(generator, excluded).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#excludeValues}.    
    */    
    public static <T extends java.lang.Object>  T anyExcludeValue(net.java.quickcheck.Generator<T> generator, T... excluded){
        return net.java.quickcheck.generator.CombinedGenerators.<T> excludeValues(generator, excluded).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#excludeValues}.    
    */    
    public static <T extends java.lang.Object>  T anyExcludeValue(java.util.Collection<T> values, T... excluded){
        return net.java.quickcheck.generator.CombinedGenerators.<T> excludeValues(values, excluded).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#excludeValues}.    
    */    
    public static <T extends java.lang.Object>  T anyExcludeValue(java.util.Collection<T> values, java.util.Collection<T> excluded){
        return net.java.quickcheck.generator.CombinedGenerators.<T> excludeValues(values, excluded).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#excludeValues}.    
    */    
    public static <T extends java.lang.Object>  T anyExcludeValue(net.java.quickcheck.Generator<T> generator, java.util.Collection<T> excluded){
        return net.java.quickcheck.generator.CombinedGenerators.<T> excludeValues(generator, excluded).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#uniqueValues}.    
    */    
    public static <T extends java.lang.Object>  T anyUniqueValue(net.java.quickcheck.Generator<T> generator, int tries){
        return net.java.quickcheck.generator.CombinedGenerators.<T> uniqueValues(generator, tries).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#uniqueValues}.    
    */    
    public static <T extends java.lang.Object>  T anyUniqueValue(net.java.quickcheck.Generator<T> generator, java.util.Comparator<? super T> comparator, int tries){
        return net.java.quickcheck.generator.CombinedGenerators.<T> uniqueValues(generator, comparator, tries).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#uniqueValues}.    
    */    
    public static <T extends java.lang.Object>  T anyUniqueValue(net.java.quickcheck.Generator<T> generator, java.util.Comparator<? super T> comparator){
        return net.java.quickcheck.generator.CombinedGenerators.<T> uniqueValues(generator, comparator).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#uniqueValues}.    
    */    
    public static <T extends java.lang.Object>  T anyUniqueValue(net.java.quickcheck.Generator<T> generator){
        return net.java.quickcheck.generator.CombinedGenerators.<T> uniqueValues(generator).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#frequency}.    
    */    
    public static <T extends java.lang.Object>  T anyFrequency(net.java.quickcheck.Generator<T> generator, int weight){
        return net.java.quickcheck.generator.CombinedGenerators.<T> frequency(generator, weight).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#nonEmptyLists}.    
    */    
    public static <T extends java.lang.Object>  java.util.List<T> anyNonEmptyList(net.java.quickcheck.Generator<? extends T> content){
        return net.java.quickcheck.generator.CombinedGenerators.nonEmptyLists(content).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#nonEmptySets}.    
    */    
    public static <T extends java.lang.Object>  java.util.Set<T> anyNonEmptySet(net.java.quickcheck.Generator<? extends T> content){
        return net.java.quickcheck.generator.CombinedGenerators.nonEmptySets(content).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#lists}.    
    */    
    public static <T extends java.lang.Object>  java.util.List<T> anyList(net.java.quickcheck.Generator<? extends T> content, int low){
        return net.java.quickcheck.generator.CombinedGenerators.lists(content, low).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#lists}.    
    */    
    public static <T extends java.lang.Object>  java.util.List<T> anyList(net.java.quickcheck.Generator<? extends T> content, int low, int high){
        return net.java.quickcheck.generator.CombinedGenerators.lists(content, low, high).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#lists}.    
    */    
    public static <T extends java.lang.Object>  java.util.List<T> anyList(net.java.quickcheck.Generator<? extends T> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.lists(content, size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#lists}.    
    */    
    public static <T extends java.lang.Object>  java.util.List<T> anyList(net.java.quickcheck.Generator<? extends T> content){
        return net.java.quickcheck.generator.CombinedGenerators.lists(content).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#iterators}.    
    */    
    public static <T extends java.lang.Object>  java.util.Iterator<T> anyIterator(net.java.quickcheck.Generator<? extends T> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.iterators(content, size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#iterators}.    
    */    
    public static <T extends java.lang.Object>  java.util.Iterator<T> anyIterator(net.java.quickcheck.Generator<? extends T> content){
        return net.java.quickcheck.generator.CombinedGenerators.iterators(content).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#maps}.    
    */    
    public static <K extends java.lang.Object,V extends java.lang.Object>  java.util.Map<K,V> anyMap(net.java.quickcheck.Generator<K> keys, net.java.quickcheck.Generator<V> values){
        return net.java.quickcheck.generator.CombinedGenerators.maps(keys, values).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#maps}.    
    */    
    public static <K extends java.lang.Object,V extends java.lang.Object>  java.util.Map<K,V> anyMap(net.java.quickcheck.Generator<K> keys, net.java.quickcheck.Generator<V> values, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.maps(keys, values, size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#maps}.    
    */    
    public static <K extends java.lang.Object,V extends java.lang.Object>  java.util.Map<K,V> anyMap(java.util.Map<K,V> supermap){
        return net.java.quickcheck.generator.CombinedGenerators.maps(supermap).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#maps}.    
    */    
    public static <K extends java.lang.Object,V extends java.lang.Object>  java.util.Map<K,V> anyMap(java.util.Map<K,V> supermap, net.java.quickcheck.Generator<java.lang.Integer> sizes){
        return net.java.quickcheck.generator.CombinedGenerators.maps(supermap, sizes).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#sortedLists}.    
    */    
    public static <T extends java.lang.Comparable<T>>  java.util.List<T> anySortedList(net.java.quickcheck.Generator<T> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.sortedLists(content, size).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#sortedLists}.    
    */    
    public static <T extends java.lang.Comparable<T>>  java.util.List<T> anySortedList(net.java.quickcheck.Generator<T> content, int low, int high){
        return net.java.quickcheck.generator.CombinedGenerators.sortedLists(content, low, high).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#sortedLists}.    
    */    
    public static <T extends java.lang.Comparable<T>>  java.util.List<T> anySortedList(net.java.quickcheck.Generator<T> content){
        return net.java.quickcheck.generator.CombinedGenerators.sortedLists(content).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#arrays}.    
    */    
    public static <T extends java.lang.Object>  T[] anyArray(net.java.quickcheck.Generator<? extends T> content, java.lang.Class<T> type){
        return net.java.quickcheck.generator.CombinedGenerators.arrays(content, type).next();        
    }    
        
    /**    
    See documentation of {@link net.java.quickcheck.generator.CombinedGenerators#arrays}.    
    */    
    public static <T extends java.lang.Object>  T[] anyArray(net.java.quickcheck.Generator<? extends T> content, net.java.quickcheck.Generator<java.lang.Integer> size, java.lang.Class<T> type){
        return net.java.quickcheck.generator.CombinedGenerators.arrays(content, size, type).next();        
    }    
}
